summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
author Dominik Drobek2020-01-05 23:41:48 +0100
committer Willy Sudiarto Raharjo2020-01-06 07:14:27 +0100
commitf5862ec41f11e582c7c4eeacb4d6e093eb04a478 (patch)
tree10ac646463368a8b0dc945f61e837642307182a9 /network
parent18db563673f913850de65643b8b74836a5c0ada5 (diff)
downloadslackbuilds-f5862ec41f11e582c7c4eeacb4d6e093eb04a478.tar.gz
network/macchanger: Updated for version 1.7.0
Align SlackBuild with the template. Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'network')
-rw-r--r--network/macchanger/README16
-rw-r--r--network/macchanger/macchanger.SlackBuild59
-rw-r--r--network/macchanger/macchanger.info6
-rw-r--r--network/macchanger/slack-desc6
4 files changed, 52 insertions, 35 deletions
diff --git a/network/macchanger/README b/network/macchanger/README
index 404318fe12..72b3a2b9cc 100644
--- a/network/macchanger/README
+++ b/network/macchanger/README
@@ -1,10 +1,10 @@
-GNU MAC Changer is a utility for viewing and manipulating
-the MAC address of network interfaces
+GNU MAC Changer is a utility for viewing and manipulating
+MAC addresses of network interfaces.
Features:
--Set specific MAC address of a network interface
--Set the MAC randomly
--Set a MAC of another vendor
--Set another MAC of the same vendor
--Set a MAC of the same kind (eg: wireless card)
--Display a vendor MAC list (today, 6800 items) to choose from
+ - set specific MAC address of a network interface
+ - set the MAC randomly
+ - set a MAC of another vendor
+ - set another MAC of the same vendor
+ - set a MAC of the same kind (eg: wireless card)
+ - display a vendor MAC list to choose from
diff --git a/network/macchanger/macchanger.SlackBuild b/network/macchanger/macchanger.SlackBuild
index 1cb5f3bea5..9beaa20889 100644
--- a/network/macchanger/macchanger.SlackBuild
+++ b/network/macchanger/macchanger.SlackBuild
@@ -1,15 +1,30 @@
#!/bin/sh
-###################################################################
# Slackware build script for macchanger
+
+# Copyright 2007, 2010 Kevin Myers <jwblack AT cox DOT net>
+# Copyright 2020 Dominik Drobek <dominik.drobek (at) o2.pl>
+# All rights reserved.
#
-# Written by Kevin Myers jwblack AT cox DOT net 09-02-2007
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
#
-###################################################################
-
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=macchanger
-VERSION=${VERSION:-1.5.0}
+VERSION=${VERSION:-1.7.0}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -26,8 +41,6 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-DOCS="AUTHORS COPYING INSTALL NEWS README ChangeLog"
-
if [ "$ARCH" = "i586" ]; then
SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
@@ -42,43 +55,47 @@ else
LIBDIRSUFFIX=""
fi
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
-cd $TMP || exit 1
+cd $TMP
rm -rf $PRGNAM-$VERSION
-tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
-cd $PRGNAM-$VERSION || exit 1
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
chown -R root:root .
find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
-o -perm 511 \) -exec chmod 755 {} \; -o \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
- -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
--libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --infodir=/usr/info \
--mandir=/usr/man \
- --build=$ARCH-slackware-linux \
- || exit 1
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
-make || exit 1
-make install DESTDIR=$PKG || exit 1
+make
+make install DESTDIR=$PKG
-find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-( cd $PKG/usr/man
- find . -type f -exec gzip -9 {} \;
- for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
-)
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
rm -f $PKG/usr/info/dir
gzip -9 $PKG/usr/info/*.info*
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING NEWS README ChangeLog $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
diff --git a/network/macchanger/macchanger.info b/network/macchanger/macchanger.info
index 7fa4625a8a..133c385776 100644
--- a/network/macchanger/macchanger.info
+++ b/network/macchanger/macchanger.info
@@ -1,8 +1,8 @@
PRGNAM="macchanger"
-VERSION="1.5.0"
+VERSION="1.7.0"
HOMEPAGE="https://github.com/alobbs/macchanger"
-DOWNLOAD="ftp://ftp.gnu.org/gnu/macchanger/macchanger-1.5.0.tar.gz"
-MD5SUM="79b7cdaeca3d8ebafa764c4b0dd03ab7"
+DOWNLOAD="https://github.com/alobbs/macchanger/releases/download/1.7.0/macchanger-1.7.0.tar.gz"
+MD5SUM="ca56f16142914337391dac91603eb332"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES=""
diff --git a/network/macchanger/slack-desc b/network/macchanger/slack-desc
index 8a0a2cb30e..55a95fa54c 100644
--- a/network/macchanger/slack-desc
+++ b/network/macchanger/slack-desc
@@ -6,10 +6,10 @@
# customary to leave one space after the ':' except on otherwise blank lines.
|-----handy-ruler------------------------------------------------------|
-macchanger: macchanger (utility for viewing/manipulating the MAC address)
+macchanger: macchanger (utility for viewing and manipulating MAC addresses)
macchanger:
-macchanger: This is a GNU/Linux Utility for viewing/manipulating the MAC
-macchanger: address of network interfaces.
+macchanger: This is a GNU/Linux utility for viewing and manipulating MAC
+macchanger: addresses of network interfaces.
macchanger:
macchanger: Homepage: https://github.com/alobbs/macchanger
macchanger: